<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="box no-border">
    <alignment-step-box-header step="$ctrl.step"></alignment-step-box-header>
    <form name="$ctrl.form">
        <div class="box-body">
            <div class="form-group required">
                <label>Type</label>
                <div>
                    <label class="radio-inline"><input type="radio" ng-model="$ctrl.data.type" value="extract" required>Valeur extraite du XML</label>
                    <label class="radio-inline"><input type="radio" ng-model="$ctrl.data.type" value="constant" required>Valeur constante</label>
                </div>
            </div>

            <!-- XPATH -->
            <div ng-if="$ctrl.data.type == 'extract'">
                <div class="form-group required">
                    <label>Chemin d'extraction</label>

                    <div class="input-group" ng-repeat="lang in $ctrl.iso639" class="input-group" ng-class="{'m-b-10': !$last}">
                        <div class="input-group-addon p-r-5 p-l-5" title="{{ lang.label }}"><code>{{ lang.code }}</code></div>
                        <xpath-input ng-model="$ctrl.data.extract[lang.code]" schema="$ctrl.navigator.xpathSchema" context="$ctrl.xpathContext" selector="value"></xpath-input>
                    </div>
                 </div>
            </div>

            <!-- CONSTANT -->
            <div ng-if="$ctrl.data.type == 'constant'">
                <label>Valeur</label>
                <div ng-repeat="lang in $ctrl.iso639" class="input-group" ng-class="{'m-b-10': !$last}">
                    <div class="input-group-addon p-r-5 p-l-5" title="{{ lang.label }}"><code>{{ lang.code }}</code></div>
                    <input type="text" class="form-control" ng-model="$ctrl.data.constant[lang.code].value">
                </div>
            </div>

        </div>
    </form>
</div>

<div class="box no-border" ng-if="$ctrl.navigator.debug">
    <!-- /.box-header -->
    <div class="box-header with-border">
        <h3 class="box-title">Data</h3>
    </div>
    <div class="box-body">
        <pre>{{ $ctrl.data|json }}</pre>
    </div>
</div>


